e83cdd
From 1851348709df5413a767faecdee908534baf0da1 Mon Sep 17 00:00:00 2001
e83cdd
From: Kairui Song <kasong@redhat.com>
e83cdd
Date: Wed, 12 Jun 2019 14:27:44 +0800
e83cdd
Subject: [PATCH] 95fcoe: load 'libfcoe' module as a fallback
e83cdd
e83cdd
The kernel may only enable 'libfcoe' module. Some modules like bnx2fc
e83cdd
provides FCoE but only depend on 'libfcoe'. Loading 'fcoe' module may
e83cdd
fail but the kernel do support FCoE.
e83cdd
e83cdd
'libfcoe' will be installed as a dependency when installing block device
e83cdd
drivers if it's required. So no need to install it in installkernel.
e83cdd
e83cdd
Signed-off-by: Kairui Song <kasong@redhat.com>
e83cdd
(cherry picked from commit 65fe1af2eca7d0ed340520577ab861fcd695b34a)
e83cdd
e83cdd
Resolves: #1719645
e83cdd
---
e83cdd
 modules.d/95fcoe/parse-fcoe.sh | 2 +-
e83cdd
 1 file changed, 1 insertion(+), 1 deletion(-)
e83cdd
e83cdd
diff --git a/modules.d/95fcoe/parse-fcoe.sh b/modules.d/95fcoe/parse-fcoe.sh
e83cdd
index 75cca9a5..12701cdb 100755
e83cdd
--- a/modules.d/95fcoe/parse-fcoe.sh
e83cdd
+++ b/modules.d/95fcoe/parse-fcoe.sh
e83cdd
@@ -18,7 +18,7 @@
e83cdd
 # If it's not set we don't continue
e83cdd
 [ -z "$fcoe" ] && return
e83cdd
 
e83cdd
-[ -e /sys/bus/fcoe/ctlr_create ] || modprobe -b -a fcoe || die "FCoE requested but kernel/initrd does not support FCoE"
e83cdd
+[ -e /sys/bus/fcoe/ctlr_create ] || modprobe -b -a fcoe || modprobe -b -a libfcoe || die "FCoE requested but kernel/initrd does not support FCoE"
e83cdd
 
e83cdd
 initqueue --onetime modprobe -b -q bnx2fc
e83cdd
 
e83cdd